%define upstream_name Authen-SCRAM
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Salted Challenge Response Authentication Mechanism (RFC 5802)
License:    ASL 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SASL::SASLprep) >= 1.100.0
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::URandom)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Moo::Role) >= 1.1.0
BuildRequires: perl(PBKDF2::Tiny) >= 0.3.0
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The modules in this distribution implement the Salted Challenge Response
Authentication Mechanism (SCRAM) from RFC 5802.

See Authen::SCRAM::Client and Authen::SCRAM::Server for usage details.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.11.0-2.mga8
+ Revision: 1519745
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Oct 20 2018 tv <tv> 0.11.0-1.mga7
+ Revision: 1322632
- update to 0.011

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1265713
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1022673
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966144
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 842664
- imported package perl-Authen-SCRAM

